> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Members

> Lists all members under your provider.



## OpenAPI

````yaml get /members
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /members:
    get:
      tags:
        - members
      description: Lists all members under your provider.
      operationId: members_list
      parameters:
        - in: query
          name: connection
          schema:
            type: string
        - name: cursor
          required: false
          in: query
          description: The pagination cursor value.
          schema:
            type: string
        - in: query
          name: employer
          schema:
            type: string
        - in: query
          name: line_of_coverage
          schema:
            type: string
            enum:
              - accident
              - accidental_death
              - cancer
              - commuter_parking
              - commuter_transit
              - dental
              - dependent_care_fsa
              - healthcare_fsa
              - hospital_indemnity
              - hsa
              - life
              - limited_purpose_fsa
              - long_term_disability
              - lump_sum_disability
              - medical
              - short_term_disability
              - supplemental
              - telemedicine
              - vision
              - voluntary_accidental_death
              - voluntary_critical_illness
              - voluntary_life
              - voluntary_short_term_disability
          description: >-
            * `accident` - Accident

            * `accidental_death` - Accidental Death and Dismemberment

            * `cancer` - Cancer

            * `commuter_parking` - Commuter Parking

            * `commuter_transit` - Commuter Transit

            * `dental` - Dental

            * `dependent_care_fsa` - Dependent Care Flexible Spending Account

            * `healthcare_fsa` - Healthcare Flexible Spending Account

            * `hospital_indemnity` - Hospital Indemnity

            * `hsa` - Health Savings Account

            * `life` - Life

            * `limited_purpose_fsa` - Limited Purpose Flexible Spending Account

            * `long_term_disability` - Long Term Disability

            * `lump_sum_disability` - Lump Sum Disability

            * `medical` - Medical

            * `short_term_disability` - Short Term Disability

            * `supplemental` - Supplemental

            * `telemedicine` - Telemedicine

            * `vision` - Vision

            * `voluntary_accidental_death` - Voluntary Accidental Death

            * `voluntary_critical_illness` - Voluntary Critical Illness

            * `voluntary_life` - Voluntary Life

            * `voluntary_short_term_disability` - Voluntary Short Term
            Disability
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: search
          required: false
          in: query
          description: A search term. Searches first_name, last_name, and email.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedMemberList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedMemberList:
      type: object
      properties:
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/Member'
    Member:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        first_name:
          type: string
          maxLength: 255
        middle_name:
          type: string
          nullable: true
          maxLength: 255
        last_name:
          type: string
          maxLength: 255
        dob:
          type: string
          format: date
        ssn_last_four:
          type: string
          readOnly: true
        ssn:
          type: string
          writeOnly: true
          pattern: \d{9}
        email:
          type: string
          format: email
          nullable: true
          maxLength: 254
        phone_number:
          type: string
          nullable: true
          maxLength: 10
        employer:
          type: string
        address:
          $ref: '#/components/schemas/Address'
        enrollments:
          type: array
          items:
            type: string
          readOnly: true
        hire_date:
          type: string
          format: date
        termination_date:
          type: string
          format: date
          nullable: true
        payroll_provider_external_id:
          type: string
          nullable: true
          maxLength: 255
        biological_sex:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/BiologicalSexEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        hours_worked:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
        pay_frequency:
          $ref: '#/components/schemas/PayFrequencyEnum'
        employment_status:
          $ref: '#/components/schemas/EmploymentStatusEnum'
        subclasses:
          type: array
          items:
            type: string
        business_unit:
          type: string
          nullable: true
        job_title:
          type: string
          nullable: true
          maxLength: 255
        is_union:
          type: boolean
          nullable: true
          description: Whether the employee is a union member
        is_seasonal:
          type: boolean
          nullable: true
          description: Whether the employee is seasonal
        metadata:
          type: object
          additionalProperties:
            type: string
            maxLength: 500
          description: >-
            Up to 50 key-value pairs. Keys max 40 characters, values max 500
            characters. Set a value to empty string to remove a key. On PATCH,
            metadata is merged with existing values.
      required:
        - address
        - dob
        - employer
        - first_name
        - hire_date
        - id
        - last_name
    Address:
      type: object
      properties:
        line1:
          type: string
        line2:
          type: string
          nullable: true
        city:
          type: string
        state:
          $ref: '#/components/schemas/StateEnum'
        zip_code:
          type: string
          maxLength: 11
      required:
        - city
        - line1
        - state
        - zip_code
    BiologicalSexEnum:
      enum:
        - male
        - female
      type: string
      description: |-
        * `male` - Male
        * `female` - Female
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    PayFrequencyEnum:
      enum:
        - weekly
        - biweekly
        - semimonthly
        - monthly
      type: string
      description: |-
        * `weekly` - Weekly
        * `biweekly` - Biweekly
        * `semimonthly` - Semimonthly
        * `monthly` - Monthly
    EmploymentStatusEnum:
      enum:
        - full_time
        - part_time
        - variable_hours
      type: string
      description: |-
        * `full_time` - Full Time
        * `part_time` - Part Time
        * `variable_hours` - Variable Hours
    StateEnum:
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
      type: string
      description: |-
        * `AL` - AL
        * `AK` - AK
        * `AZ` - AZ
        * `AR` - AR
        * `CA` - CA
        * `CO` - CO
        * `CT` - CT
        * `DE` - DE
        * `DC` - DC
        * `FL` - FL
        * `GA` - GA
        * `HI` - HI
        * `ID` - ID
        * `IL` - IL
        * `IN` - IN
        * `IA` - IA
        * `KS` - KS
        * `KY` - KY
        * `LA` - LA
        * `ME` - ME
        * `MD` - MD
        * `MA` - MA
        * `MI` - MI
        * `MN` - MN
        * `MS` - MS
        * `MO` - MO
        * `MT` - MT
        * `NE` - NE
        * `NV` - NV
        * `NH` - NH
        * `NJ` - NJ
        * `NM` - NM
        * `NY` - NY
        * `NC` - NC
        * `ND` - ND
        * `OH` - OH
        * `OK` - OK
        * `OR` - OR
        * `PA` - PA
        * `RI` - RI
        * `SC` - SC
        * `SD` - SD
        * `TN` - TN
        * `TX` - TX
        * `UT` - UT
        * `VT` - VT
        * `VA` - VA
        * `WA` - WA
        * `WV` - WV
        * `WI` - WI
        * `WY` - WY
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````